#
# spec file for package linuxrc-devtools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           linuxrc-devtools
Version:        1.3
Release:        1.3
Source:         %{name}-%{version}.tar.xz

BuildRequires:  make

URL:            http://github.com/openSUSE/linuxrc-devtools
Summary:        Tools to submit from Git to OBS via Jenkins
License:        MIT
Group:          Development/Tools

BuildArch:      noarch

%description
This is a collection of scripts used to connect github via jenkins to the
open build service.

%prep
%setup -q

%build

%install
make install DESTDIR="${RPM_BUILD_ROOT}"

%files
%defattr(-,root,root)
%{_bindir}/build_it
%{_bindir}/git2log
%{_bindir}/git2tags
%{_bindir}/make_package
%{_bindir}/submit_it
%{_bindir}/tobs

%changelog
* Mon Jul  3 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#33
- fix issue parsing target project
- 1.3
* Wed Jun 28 2023 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#32
- add --no-tag option
- add --from option to allow submitting from one project to another
- create package in target project if missing
- set version number
- 1.2
* Mon Aug  8 2022 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#31
- include full URL to submit request in log
- add GIT2LOG_DEFAULT_EMAIL environment var
- 1.1
* Wed Apr 14 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#30
- improved git2log parser
- fix handling of %%setup macro
- rewrite tobs script to not rely on config file but to use command
  line options instead
- update build_it jenkins wrapper script
- update submit_it jenkins wrapper script
- update README and move to asciidoc
- 1.0
* Mon Apr 12 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#29
- fix handling of %%setup macro
- 0.21
* Thu Apr  8 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#28
- improved git2log parser
- 0.20
* Thu Apr  8 2021 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#27
- rebuild changelog file if needed
* Thu Jul 16 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#25
- add --obs option to manage files needed or OBS
- adjust build_it script
- 0.19
* Wed Mar 25 2020 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#24
- get version numbering right when starting a new numbering scheme
- minor doc change
- 0.18
* Mon Sep  9 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#23
- auto-add a bugzilla number to every Weblate commit (bsc#1149754)
- 0.17
* Thu Jun  6 2019 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#22
- fix handling of spec file with several 'Name' definitions
- 0.16
* Tue Jan 29 2019 snwint@suse.de
- merge gh#openSUSE/linuxrc-devtools#21
- add support for jira
- 0.15
* Thu Nov 15 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc-devtools#20
- fix typo
* Fri Oct 12 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc-devtools#19
- remove shortened lines from log (that match the beginning of
  other lines)
* Mon Aug 27 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc-devtools#18
- rework log creation to work better with merge commits
* Mon Aug  6 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc-devtools#17
- ignore tags inside merge commits
* Thu Apr 19 2018 snwint@suse.de
- merge gh#openSUSE/linuxrc-devtools#16
- avoid identical timestamps in changelog and make default email
  address configurable
- fix time updates
* Tue Jan  9 2018 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#15
- more complete OBS state check
- 0.14
* Fri Sep 15 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#14
- don't query branch from git
- 0.13
* Thu Sep 14 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#13
- ensure dates never decrease in changelog
- 0.12
* Thu Sep 14 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#12
- ensure the newly created changelog is used
* Tue Sep 12 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#11
- default to git project name if no package name is specified
- install also make_package script
- add --no-wait option to submit_it script
- allow to use an alternative spec file
- 0.11
* Thu Aug 17 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#10
- fix typo in make_package
- 0.10
* Thu Aug 17 2017 wfeldt@opensuse.org
- merge gh#openSUSE/linuxrc-devtools#9
- write VERSION file only when really needed
- update link to home project in git2log
- skip *.changes file in 'package' dir
- add --prepare option to build_it script
- add make_package script
- 0.9
* Thu Aug 10 2017 wfeldt@opensuse.org
- added --(no-)keep-date options
- 0.8
* Wed May  3 2017 wfeldt@opensuse.org
- started rewrite of git2log script
- implement start tag, switch default format to obs
- document git2log
- minor doc update
- fix typo
- another doc update
- adjust 'internal' changelog format to match the old format
- fix version auto-increment
- update tobs to use the new git2log to handle changelog
- use installed git2log script
- git2log: if start tag is specified, make sure it exists
- treat commits ahead of most recent tag as belonging together
- join successive commits of the same author
- add comments to git2log
- add --package option to tobs
- allow --target as alias to --dist and support --package option
- build_it: support alternative --branch option
- submit_it doesn't need git repo to work
- allow options in any order in build_it and submit_it
- no need to check JOB_NAME in submit_it
- tobs: allow submit request across different build services
- modify default PATH to include $HOME/bin
- show merge message at correct place
- avoid empty log message when version info is missing
- add --(no-)join-author option
- added '@-log@' tag (delete commit message)
- 0.7
* Wed Nov 23 2016 snwint@suse.com
- merge pr gh#openSUSE/linuxrc-devtools#7
- auto-add github pull request tag to changelog
- 0.6
* Tue Sep 29 2015 snwint@suse.com
- 'make clean' deletes *~ files and package/ directory
- 0.5
* Tue Sep 29 2015 snwint@suse.com
- Add information about linuxrc-devtools OBS project
- 0.4
* Fri Sep 18 2015 mvidner@suse.com
- Initial packaging
- 0.3
